#ifndef __mode5lib_h
#define __mode5lib_h

#include "gba.h"

extern u16 *screen_bank5;
extern u32 colour5;

void clear5(u32 col) CODE_IN_IWRAM;
void put_pixel5(u32 x, u32 y, u32 col) CODE_IN_IWRAM;
void draw_pixel5(u32 x, u32 y) CODE_IN_IWRAM;
void draw_line5(u32 x1, u32 y1, u32 x2, u32 y2) CODE_IN_IWRAM;
// No longer a real circle function - let's macro it to munged ellipse...
//void circle5(u32 x, u32 y, u32 r) CODE_IN_IWRAM;
#define circle_wire5(x, y, r) ellipse_wire5(x, y, ((r) >> 1) + ((r) >> 5), r)
#define circle_fill5(x, y, r) ellipse_fill5(x, y, ((r) >> 1) + ((r) >> 5), r)

void ellipse_wire5(u32 x, u32 y, u32 rx, u32 ry) CODE_IN_IWRAM;
void ellipse_fill5(u32 x, u32 y, u32 rx, u32 ry) CODE_IN_IWRAM;

#endif	// __mode5lib_h
